Bug 1200730 - Doesn't work in F22 & FTBFS
Summary: Doesn't work in F22 & FTBFS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freemind
Version: 22
Hardware: noarch
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1178560
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-11 09:58 UTC by Jiri Popelka
Modified: 2015-07-21 15:58 UTC (History)
1 user (show)

Fixed In Version: freemind-1.0.1-7.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-26 22:02:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Jiri Popelka 2015-03-11 09:58:10 UTC
Trying to run freemind-1.0.1-4.fc22.noarch on freshly installed F22 results in:

Error: Could not find or load main class '-Dfreemind.base.dir=.usr.share.freemind'


Trying to rebuild it fails [1] with:

[javac] /builddir/build/BUILD/freemind/plugins/script/ScriptingEngine.java:253: error: no suitable method found for parse(InputStream,String)
[javac]	script = parse(in, fileName);

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=9203049

Comment 1 Jiri Popelka 2015-03-12 15:05:49 UTC
Works OK with javapackages-tools-4.3.2-5.fc22
Thanks !

Comment 2 Fedora Update System 2015-03-16 13:20:03 UTC
freemind-1.0.1-7.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/freemind-1.0.1-7.fc22

Comment 3 Fedora Update System 2015-03-17 01:53:14 UTC
Package freemind-1.0.1-7.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freemind-1.0.1-7.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3983/freemind-1.0.1-7.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-03-26 22:02:37 UTC
freemind-1.0.1-7.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.